FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux General Discussion

 
 
LinkBack Thread Tools
 
Old 10-11-2012, 06:12 PM
Shaka Nkofo
 
Default GNS3 0.8.3-3 from AUR fails to install.

An attempt to install GNS3 failed with the output below. Im not sure why
or what to do next. Has anyone else faced the same issue and got past
it? Please share your solution. If not can a more savy user take a look
at the output and point me in the right direction?


Cheers

Shaka


[shaka@raptor ~]$ sudo packer -S gns3

Aur Targets (3): dynamips-community dynagen gns3

Proceed with installation? [Y/n] y
Edit dynamips-community PKGBUILD with $EDITOR? [Y/n]

==> Making package: dynamips-community 0.2.8RC3-1 (Thu Oct 11 17:43:03
CEST 2012)

==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
-> Found dynamips-0.2.8-RC3-community.tar.gz
==> Validating source files with sha1sums...
dynamips-0.2.8-RC3-community.tar.gz ... Passed
==> Extracting Sources...
-> Extracting dynamips-0.2.8-RC3-community.tar.gz with bsdtar
==> Removing existing pkg/ directory...
==> Starting build()...
make -C stable
make[1]: Entering directory
`/tmp/packerbuild-0/dynamips-community/dynamips-community/src/dynamips-0.2.8-RC3-community/stable'

Linking rom2c
cc: error: /usr/lib/libelf.a: No such file or directory
make[1]: *** [rom2c] Error 1
make[1]: Leaving directory
`/tmp/packerbuild-0/dynamips-community/dynamips-community/src/dynamips-0.2.8-RC3-community/stable'

make: *** [dynamips.stable] Error 2
==> ERROR: A failure occurred in build().
Aborting...
The build failed.
Edit dynagen PKGBUILD with $EDITOR? [Y/n]

==> Making package: dynagen 0.11.0-3 (Thu Oct 11 17:52:39 CEST 2012)
==> Checking runtime dependencies...
==> Missing Dependencies:
-> dynamips-community
==> Checking buildtime dependencies...
==> ERROR: Could not resolve all dependencies.
The build failed.
Dependencies for `gns3' are not met, not building..
 
Old 10-11-2012, 09:47 PM
 
Default GNS3 0.8.3-3 from AUR fails to install.

On 10/11/2012 at 9:38 PM, "Shaka Nkofo" <shakaplus.data@gmail.com> wrote:
>
>An attempt to install GNS3 failed with the output below. Im not
>sure why
>or what to do next. Has anyone else faced the same issue and got
>past
>it? Please share your solution. If not can a more savy user take a
>look
>at the output and point me in the right direction?
>
>Cheers
>
>Shaka
>
>
>[shaka@raptor ~]$ sudo packer -S gns3
>
>Aur Targets (3): dynamips-community dynagen gns3
>
>Proceed with installation? [Y/n] y
>Edit dynamips-community PKGBUILD with $EDITOR? [Y/n]
>
>==> Making package: dynamips-community 0.2.8RC3-1 (Thu Oct 11
>17:43:03
>CEST 2012)
>==> Checking runtime dependencies...
>==> Checking buildtime dependencies...
>==> Retrieving Sources...
> -> Found dynamips-0.2.8-RC3-community.tar.gz
>==> Validating source files with sha1sums...
> dynamips-0.2.8-RC3-community.tar.gz ... Passed
>==> Extracting Sources...
> -> Extracting dynamips-0.2.8-RC3-community.tar.gz with bsdtar
>==> Removing existing pkg/ directory...
>==> Starting build()...
>make -C stable
>make[1]: Entering directory
>`/tmp/packerbuild-0/dynamips-community/dynamips-
>community/src/dynamips-0.2.8-RC3-community/stable'
>Linking rom2c
>cc: error: /usr/lib/libelf.a: No such file or directory
>make[1]: *** [rom2c] Error 1
>make[1]: Leaving directory
>`/tmp/packerbuild-0/dynamips-community/dynamips-
>community/src/dynamips-0.2.8-RC3-community/stable'
>make: *** [dynamips.stable] Error 2
>==> ERROR: A failure occurred in build().
> Aborting...
>The build failed.
>Edit dynagen PKGBUILD with $EDITOR? [Y/n]
>
>==> Making package: dynagen 0.11.0-3 (Thu Oct 11 17:52:39 CEST
>2012)
>==> Checking runtime dependencies...
>==> Missing Dependencies:
> -> dynamips-community
>==> Checking buildtime dependencies...
>==> ERROR: Could not resolve all dependencies.
>The build failed.
>Dependencies for `gns3' are not met, not building..

This sounds like you're missing a dependency (at least) for building.
Try installing elfutils from the extra-repository.
Appears to be missing as a dependency in the PKGBUILD.

mfg narve
 

Thread Tools




All times are GMT. The time now is 01:33 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org